<?php
function get_env()
{
	 global $_INSTALL_LANG;
	 $return_arr	=	array();
   
    $return_arr[]				=	array($_INSTALL_LANG['os'],PHP_OS);
    $return_arr[]	=	array($_INSTALL_LANG['php_version'],PHP_VERSION);

	 $return_arr[]	=	array($_INSTALL_LANG['mysql_enabled'],function_exists('mysql_connect')?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],function_exists('mysql_connect')?'':'no_next');
    
    $gd_ver = get_gd_version();
	 $return_arr[]		=	array($_INSTALL_LANG['gd_version'],$gd_ver?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],$gd_ver?'':'no_next');
    if ($gd_ver > 0){
        if (PHP_VERSION >= '4.3' && function_exists('gd_info')){
            $gd_info = gd_info();
            $return_arr[] 	= array($_INSTALL_LANG['jpeg_enabled'],$gd_info['JPG Support']=== true||$gd_info['JPEG Support']=== true?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],$gd_info['JPG Support']=== true||$gd_info['JPEG Support']=== true?'':'no_next' );
            $return_arr[] 	= array($_INSTALL_LANG['gif_enabled'],$gd_info['GIF Create Support']=== true?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],$gd_info['GIF Create Support']=== true?'':'no_next' );
            $return_arr[] 	= array($_INSTALL_LANG['png_enabled'],$gd_info['PNG Support']=== true?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],$gd_info['PNG Support']=== true?'':'no_next');
        }
        else{
            if (function_exists('imagetypes')){
            	$return_arr[] 	= array($_INSTALL_LANG['jpeg_enabled'],((imagetypes() & (IMG_JPG||IMG_JPEG)) > 0)?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],((imagetypes() & (IMG_JPG||IMG_JPEG)) > 0)?'':'no_next' );
            	$return_arr[] 	= array($_INSTALL_LANG['gif_enabled'],((imagetypes() & IMG_GIF) > 0)?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],((imagetypes() & IMG_GIF) > 0)?'':'no_next');
            	$return_arr[] 	= array($_INSTALL_LANG['png_enabled'],((imagetypes() & IMG_PNG) > 0)?$_INSTALL_LANG['yes_enabled']:$_INSTALL_LANG['no_enabled'],((imagetypes() & IMG_PNG) > 0)?'':'no_next');
            }else{
            	$return_arr[] 	= array($_INSTALL_LANG['jpeg_enabled'],$_INSTALL_LANG['no_enabled'],'no_next');
            	$return_arr[] 	= array($_INSTALL_LANG['gif_enabled'],$_INSTALL_LANG['no_enabled'],'no_next');
            	$return_arr[] 	= array($_INSTALL_LANG['png_enabled'],$_INSTALL_LANG['no_enabled'],'no_next');
            }
        }
    }else{
        $return_arr[] 	= array($_INSTALL_LANG['jpeg_enabled'],$_INSTALL_LANG['no_enabled'],'no_next');
        $return_arr[] 	= array($_INSTALL_LANG['gif_enabled'],$_INSTALL_LANG['no_enabled'],'no_next');
        $return_arr[] 	= array($_INSTALL_LANG['png_enabled'],$_INSTALL_LANG['no_enabled'],'no_next');
    }

    $return_arr[] 			= array($_INSTALL_LANG['safe_mode'],ini_get('safe_mode')?$_INSTALL_LANG['on']:$_INSTALL_LANG['off']);
	 return $return_arr;
}





?>

